Skip to content

Remove a tag from a content snippet

Request

Remove a tag from a content snippet. Returns the tag that was removed, with null applied_at and applied_by.

The authenticating teammate must have the manage_knowledge_base_content permission.

Requires the read_write_content_snippets OAuth scope.

Security
bearerAuth
Path
content_snippet_idstringrequired

The unique identifier for the content snippet.

Example:123
idstringrequired

The unique identifier of the tag to remove, as given by Intercom.

Example:7522907
Query
admin_idstring

Optional id of a teammate. The id is checked, and an unknown teammate returns a 404 admin_not_found error, but the removal is not recorded against the teammate.

Example:admin_id=1234
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.

Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
curl -i -X DELETE \
  'https://api.intercom.io/content_snippets/123/tags/7522907?admin_id=1234' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.17'

Responses

Tag removed

Bodyapplication/json
typestring

value is "tag"

Example:"tag"
idstring

The id of the tag

Example:"123456"
namestring

The name of the tag

Example:"Test tag"
applied_atinteger or null, (timestamp)

The time when the tag was applied to the object. Only present when the tag is returned as part of a tagging operation on a contact, conversation, ticket, article, internal article, or content snippet, when listing the tags on a contact, or when it is returned as part of an external page. null when the tag has just been removed from an article, internal article, content snippet or external page. Removing a tag from a contact, conversation or ticket returns the original value.

Example:1663597223
applied_byobject or null(Reference)

The admin who applied the tag. Only present when the tag is returned as part of a tagging operation on a contact, conversation, ticket, article, internal article, or content snippet, when listing the tags on a contact, or when it is returned as part of an external page. null when the tag has just been removed from an article, internal article, content snippet or external page. Removing a tag from a contact, conversation or ticket returns the original value. When no admin is recorded, type is nobody_admin and id is null.

Response
{ "type": "tag", "id": "7522907", "name": "Independent", "applied_at": null, "applied_by": null }